Package ru.bitel.bgbilling.modules.mps.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.mps.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Transaction extends BGAbstractTransaction

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractComment()`
  `Date`
  `getLocalTime()`
  `String`
  `getMpsId()`
  `String`
  `getNumber()`
  `String`
  `getPaymentComment()`
  `Date`
  `getPaymentDate()`
  `String`
  `getRawNumber()`
  `String`
  `getSysPaymentData()`
  `Date`
  `getSysPaymentDate()`
  `int`
  `getSysPaymentId()`
  `Date`
  `getTime()`
  `String`
  `getTransId()`
  `int`
  `getType()`
  `Transaction`
  `setContractComment(String contractComment)`
  `Transaction`
  `setContractId(int contractId)`
  `Transaction`
  `setContractTitle(String contractTitle)`
  `Transaction`
  `setId(int id)`
  Устанавливает id объекта
  `Transaction`
  `setLocalTime(Date localTime)`
  `Transaction`
  `setMpsId(String mpsId)`
  `Transaction`
  `setNumber(String number)`
  `Transaction`
  `setPaymentComment(String paymentComment)`
  `Transaction`
  `setPaymentDate(Date paymentDate)`
  `Transaction`
  `setPaymentId(int paymentId)`
  `Transaction`
  `setRawNumber(String rawNumber)`
  `Transaction`
  `setStatus(String status)`
  `Transaction`
  `setSum(BigDecimal sum)`
  `Transaction`
  `setSysPaymentData(String sysPaymentData)`
  `Transaction`
  `setSysPaymentDate(Date sysPaymentDate)`
  `Transaction`
  `setSysPaymentId(int sysPaymentId)`
  `Transaction`
  `setTime(Date time)`
  `Transaction`
  `setTransId(long transId)`
  `Transaction`
  `setTransId(String transId)`
  `Transaction`
  `setType(int type)`
  `String`
  `toString()`
  `String`
  `toStringReg()`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setCreateDate, setParameters, setTransactionDate, setTransactionId, setTransactionType`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getContractComment

    public String getContractComment()
    Overrides:
      `getContractComment` in class `BGAbstractTransaction`

  - ### getLocalTime

    public Date getLocalTime()

  - ### getMpsId

    public String getMpsId()

  - ### getNumber

    public String getNumber()

  - ### getPaymentComment

    public String getPaymentComment()

  - ### getPaymentDate

    public Date getPaymentDate()

  - ### getRawNumber

    public String getRawNumber()

  - ### getSysPaymentData

    public String getSysPaymentData()

  - ### getSysPaymentDate

    public Date getSysPaymentDate()
    Returns:
      the sysPaymentDate

  - ### getSysPaymentId

    public int getSysPaymentId()

  - ### getTime

    public Date getTime()

  - ### getTransId

    public String getTransId()

  - ### getType

    public int getType()

  - ### setContractComment

    public Transaction setContractComment(String contractComment)
    Overrides:
      `setContractComment` in class `BGAbstractTransaction`

  - ### setContractId

    public Transaction setContractId(int contractId)
    Overrides:
      `setContractId` in class `BGAbstractTransaction`

  - ### setContractTitle

    public Transaction setContractTitle(String contractTitle)
    Overrides:
      `setContractTitle` in class `BGAbstractTransaction`

  - ### setId

    public Transaction setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setLocalTime

    public Transaction setLocalTime(Date localTime)

  - ### setMpsId

    public Transaction setMpsId(String mpsId)

  - ### setNumber

    public Transaction setNumber(String number)

  - ### setPaymentComment

    public Transaction setPaymentComment(String paymentComment)

  - ### setPaymentDate

    public Transaction setPaymentDate(Date paymentDate)

  - ### setPaymentId

    public Transaction setPaymentId(int paymentId)
    Overrides:
      `setPaymentId` in class `BGAbstractTransaction`

  - ### setRawNumber

    public Transaction setRawNumber(String rawNumber)

  - ### setStatus

    public Transaction setStatus(String status)
    Overrides:
      `setStatus` in class `BGAbstractTransaction`

  - ### setSum

    public Transaction setSum(BigDecimal sum)
    Overrides:
      `setSum` in class `BGAbstractTransaction`

  - ### setSysPaymentData

    public Transaction setSysPaymentData(String sysPaymentData)

  - ### setSysPaymentDate

    public Transaction setSysPaymentDate(Date sysPaymentDate)
    Parameters:
      `sysPaymentDate` - the sysPaymentDate to set

  - ### setSysPaymentId

    public Transaction setSysPaymentId(int sysPaymentId)

  - ### setTime

    public Transaction setTime(Date time)

  - ### setTransId

    public Transaction setTransId(long transId)

  - ### setTransId

    public Transaction setTransId(String transId)

  - ### setType

    public Transaction setType(int type)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BGAbstractTransaction`

  - ### toStringReg

    public String toStringReg()